Subject: Re: [mpls] I-D Action: draft-xu-mpls-payload-protocol-identifier-00.txt

From: "Andrew G. Malis" <[email-masked]>
Date: Thu, 26 Sep 2013 09:43:37 -0400

A history lesson for the young-ins out there: this draft brings me
back to the Good Old Days, when we had a nice little fight about
whether or not all MPLS packets should include a protocol identifier
or not, similar to multiprotocol encapsulation for Frame Relay (RFC
2427) and ATM (RFC 2684) (and interestingly, neither of those two RFCs
are referenced by this one). Those of us that wanted to include a
protocol ID in MPLS packets lost in the end.

However, the difference between then and now is that now we have
pseudowires, and not only that, we already have a PW that implements
the functionality of this draft, RFC 6658. Just use RFC 6658 and be
done with it.

Cheers,
Andy

On Thu, Sep 26, 2013 at 6:09 AM,  <[email-masked]> wrote:
>
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>
>
>         Title           : MPLS Payload Protocol Identifier
>         Author(s)       : Xiaohu Xu
>                           Mach(Guoyi) Chen
>         Filename        : draft-xu-mpls-payload-protocol-identifier-00.txt
>         Pages           : 7
>         Date            : 2013-09-26
>
> Abstract:
>    The MPLS label stack has no explicit protocol identifier field to
>    indicate the protocol type of the MPLS payload. This document
>    proposes a mechanism for containing a protocol identifier field
>    within the MPLS packet, which may be useful in some emerging use
>    cases (e.g., network service chain and MPLS payload inspection).
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-xu-mpls-payload-protocol-identifier
>
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-xu-mpls-payload-protocol-identifier-00
>
>
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt